<?xml version="1.0" encoding="UTF-8"?>
<ehcache xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:noNamespaceSchemaLocation="http://ehcache.org/ehcache.xsd"
         updateCheck="false">
    <diskStore path="/Users/king/Downloads/ehcache" />

    <!--overflowToDisk:是否保存到磁盘，当系统宕机时-->
    <!--diskPersistent:是否在磁盘上持久化。指重启jvm后，数据是否有效。默认为false。-->
    <defaultCache
            eternal="false"
            maxElementsInMemory="10000"
            overflowToDisk="false"
            diskPersistent="false"
            timeToIdleSeconds="0"
            timeToLiveSeconds="2400"
            memoryStoreEvictionPolicy="LRU" />

    <cache
            name="org_code_cache"
            eternal="false"
            maxElementsInMemory="1000"
            overflowToDisk="false"
            diskPersistent="false"
            timeToIdleSeconds="0"
            timeToLiveSeconds="43200"
            memoryStoreEvictionPolicy="LRU" />

    <cache
            name="role_cache"
            eternal="false"
            maxElementsInMemory="1000"
            overflowToDisk="false"
            diskPersistent="false"
            timeToIdleSeconds="0"
            timeToLiveSeconds="43200"
            memoryStoreEvictionPolicy="LRU" />

<!--    <cache-->
<!--            name="org_cache"-->
<!--            eternal="false"-->
<!--            maxElementsInMemory="1000"-->
<!--            overflowToDisk="false"-->
<!--            diskPersistent="false"-->
<!--            timeToIdleSeconds="0"-->
<!--            timeToLiveSeconds="43200"-->
<!--            memoryStoreEvictionPolicy="LRU" />-->

<!--    <cache-->
<!--            name="user_cache"-->
<!--            eternal="false"-->
<!--            maxElementsInMemory="1000"-->
<!--            overflowToDisk="false"-->
<!--            diskPersistent="false"-->
<!--            timeToIdleSeconds="0"-->
<!--            timeToLiveSeconds="43200"-->
<!--            memoryStoreEvictionPolicy="LRU" />-->
</ehcache>